Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.insurability.core.v2
Class OriginType

    java.lang.Object
      be.fgov.ehealth.insurability.core.v2.OriginType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:10:59+02:00",
               comments="JAXB RI v2.2.11")
    public class OriginType

extends Object
implements Serializable

Information about the originator of the request.

Java class for OriginType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Package" type="{urn:be:fgov:ehealth:insurability:core:v2}PackageType"/>
             <element name="CareProvider" type="{urn:be:fgov:ehealth:insurability:core:v2}CareProviderType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OriginType()`

Method Summary
`CareProviderType` | `getCareProvider()` Gets the value of the careProvider property.
`PackageType` | `getPackage()` Gets the value of the package property.
`void` | `setCareProvider(CareProviderType value)` Sets the value of the careProvider property.
`void` | `setPackage(PackageType value)` Sets the value of the package property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OriginType

    public OriginType()

Method Detail

### getPackage

    public PackageType getPackage()

  Gets the value of the package property.

  Returns:
    possible object is `PackageType`

### setPackage

    public void setPackage(PackageType value)

  Sets the value of the package property.

  Parameters:
    `value` - allowed object is `PackageType`

### getCareProvider

    public CareProviderType getCareProvider()

  Gets the value of the careProvider property.

  Returns:
    possible object is `CareProviderType`

### setCareProvider

    public void setCareProvider(CareProviderType value)

  Sets the value of the careProvider property.

  Parameters:
    `value` - allowed object is `CareProviderType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.